/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/
:root {
    scroll-behavior: smooth;
  }
  
  body {
    font-family: "Plus Jakarta Sans", sans-serif;
    color: #444444;
    height: auto;
  }
  
  a {
    color: #4154f1;
    text-decoration: none;
  }
  
  a:hover {
    color: #717ff5;
    text-decoration: none;
  }
  
  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: "Plus Jakarta Sans", sans-serif;
  }
  
  /*--------------------------------------------------------------
  # Main
  --------------------------------------------------------------*/
  #main {
    margin-top: 60px;
    padding: 20px 30px;
    transition: all 0.3s;
  }
  
  @media (max-width: 1199px) {
    #main {
      padding: 20px;
    }
  }
  

  /*--------------------------------------------------------------
  # Back to top button
  --------------------------------------------------------------*/
  .back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 15px;
    bottom: 15px;
    z-index: 99999;
    background: #4154f1;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    transition: all 0.4s;
  }
  
  .back-to-top i {
    font-size: 24px;
    color: #fff;
    line-height: 0;
  }
  
  .back-to-top:hover {
    background: #6776f4;
    color: #fff;
  }
  
  .back-to-top.active {
    visibility: visible;
    opacity: 1;
  }
  
  /*--------------------------------------------------------------
  # Override some default Bootstrap stylings
  --------------------------------------------------------------*/
  /* Dropdown menus */
  .dropdown-menu {
    border-radius: 4px;
    padding: 10px 0;
    animation-name: dropdown-animate;
    animation-duration: 0.2s;
    animation-fill-mode: both;
    border: 0;
    box-shadow: 0 5px 30px 0 rgba(82, 63, 105, 0.2);
  }
  
  .dropdown-menu .dropdown-header,
  .dropdown-menu .dropdown-footer {
    text-align: center;
    font-size: 15px;
    padding: 10px 25px;
  }
  
  .dropdown-menu .dropdown-footer a {
    color: #444444;
    text-decoration: underline;
  }
  
  .dropdown-menu .dropdown-footer a:hover {
    text-decoration: none;
  }
  
  .dropdown-menu .dropdown-divider {
    color: #a5c5fe;
    margin: 0;
  }
  
  .dropdown-menu .dropdown-item {
    font-size: 14px;
    padding: 10px 15px;
    transition: 0.3s;
  }
  
  .dropdown-menu .dropdown-item i {
    margin-right: 10px;
    font-size: 18px;
    line-height: 0;
  }
  
  .dropdown-menu .dropdown-item:hover {
    background-color: #f6f9ff;
  }
  
  @media (min-width: 768px) {
    .dropdown-menu-arrow::before {
      content: "";
      width: 13px;
      height: 13px;
      background: #fff;
      position: absolute;
      top: -7px;
      right: 20px;
      transform: rotate(45deg);
      border-top: 1px solid #eaedf1;
      border-left: 1px solid #eaedf1;
    }
  }
  
  @keyframes dropdown-animate {
    0% {
      opacity: 0;
    }
  
    100% {
      opacity: 1;
    }
  
    0% {
      opacity: 0;
    }
  }
  
  /* Light Backgrounds */
  .bg-primary-light {
    background-color: #cfe2ff;
    border-color: #cfe2ff;
  }
  
  .bg-secondary-light {
    background-color: #e2e3e5;
    border-color: #e2e3e5;
  }
  
  .bg-success-light {
    background-color: #d1e7dd;
    border-color: #d1e7dd;
  }
  
  .bg-danger-light {
    background-color: #f8d7da;
    border-color: #f8d7da;
  }
  
  .bg-warning-light {
    background-color: #fff3cd;
    border-color: #fff3cd;
  }
  
  .bg-info-light {
    background-color: #cff4fc;
    border-color: #cff4fc;
  }
  
  .bg-dark-light {
    background-color: #d3d3d4;
    border-color: #d3d3d4;
  }
  
  /*--------------------------------------------------------------
  # Header
  --------------------------------------------------------------*/
  
  .header {
    transition: all 0.5s;
    z-index: 997;
    height: 60px;
    box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
    background-color: #fff;
    padding-left: 20px;
  }
  
  .header .toggle-sidebar-btn {
    font-size: 32px;
    padding-left: 10px;
    cursor: pointer;
    color: #012970;
  }
  
  
  /*--------------------------------------------------------------
  # Header Nav
  --------------------------------------------------------------*/
  .header-nav ul {
    list-style: none;
  }
  
  .header-nav>ul {
    margin: 0;
    padding: 0;
  }
  
  .header-nav .nav-icon {
    font-size: 22px;
    color: #012970;
    margin-right: 25px;
    position: relative;
  }
  
  .header-nav .nav-profile {
    color: #012970;
  }
  
  .header-nav .nav-profile img {
    max-height: 36px;
  }
  
  .header-nav .nav-profile span {
    font-size: 14px;
    font-weight: 600;
  }

  .header-nav .profile {
    min-width: 240px;
    padding-bottom: 0;
    top: 8px !important;
  }
  
  .header-nav .profile .dropdown-header h6 {
    font-size: 18px;
    margin-bottom: 0;
    font-weight: 600;
    color: #444444;
  }
  
  .header-nav .profile .dropdown-header span {
    font-size: 14px;
  }
  
  .header-nav .profile .dropdown-item {
    font-size: 14px;
    padding: 10px 15px;
    transition: 0.3s;
  }
  
  .header-nav .profile .dropdown-item i {
    margin-right: 10px;
    font-size: 18px;
    line-height: 0;
  }
  
  .header-nav .profile .dropdown-item:hover {
    background-color: #f6f9ff;
  }
  
  /*--------------------------------------------------------------
  # Sidebar
  --------------------------------------------------------------*/
  .sidebar {
    position: fixed;
    top: 60px;
    left: 0;
    bottom: 0;
    width: 300px;
    z-index: 996;
    transition: all 0.3s;
    padding: 20px;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #aab7cf transparent;
    box-shadow: 0px 0px 20px rgba(1, 41, 112, 0.1);
    background-color: #fff;
  }
  
  @media (max-width: 1199px) {
    .sidebar {
      left: -300px;
    }
  }
  
  .sidebar::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: #fff;
  }
  
  .sidebar::-webkit-scrollbar-thumb {
    background-color: #aab7cf;
  }
  
  @media (min-width: 1200px) {
  
    #main,
    #footer {
      margin-left: 300px;
    }
  }
  
  @media (max-width: 1199px) {
    .toggle-sidebar .sidebar {
      left: 0;
    }
  }
  
  @media (min-width: 1200px) {
  
    .toggle-sidebar #main,
    .toggle-sidebar #footer {
      margin-left: 0;
    }
  
    .toggle-sidebar .sidebar {
      left: -300px;
    }
  }
  
  .sidebar-nav {
    padding: 0;
    margin: 0;
    list-style: none;
  }
  
  .sidebar-nav li {
    padding: 0;
    margin: 0;
    list-style: none;
  }
  
  .sidebar-nav .nav-item {
    margin-bottom: 5px;
  }
  
  .sidebar-nav .nav-heading {
    font-size: 11px;
    text-transform: uppercase;
    color: #899bbd;
    font-weight: 600;
    margin: 10px 0 5px 15px;
  }
  
  .sidebar-nav .nav-link {
    display: flex;
    align-items: center;
    font-size: 15px;
    font-weight: 600;
    color: #4154f1;
    transition: 0.3;
    background: #f6f9ff;
    padding: 10px 15px;
    border-radius: 4px;
  }
  
  .sidebar-nav .nav-link i {
    font-size: 16px;
    margin-right: 10px;
    color: #4154f1;
  }
  
  .sidebar-nav .nav-link.collapsed {
    color: #012970;
    background: #fff;
  }
  
  .sidebar-nav .nav-link.collapsed i {
    color: #899bbd;
  }
  
  .sidebar-nav .nav-link:hover {
    color: #4154f1;
    background: #f6f9ff;
  }
  
  .sidebar-nav .nav-link:hover i {
    color: #4154f1;
  }
  
  .sidebar-nav .nav-link .bi-chevron-down {
    margin-right: 0;
    transition: transform 0.2s ease-in-out;
  }
  
  .sidebar-nav .nav-link:not(.collapsed) .bi-chevron-down {
    transform: rotate(180deg);
  }
  
  .sidebar-nav .nav-content {
    padding: 5px 0 0 0;
    margin: 0;
    list-style: none;
  }
  
  .sidebar-nav .nav-content a {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
    color: #012970;
    transition: 0.3;
    padding: 10px 0 10px 40px;
    transition: 0.3s;
  }
  
  .sidebar-nav .nav-content a i {
    font-size: 6px;
    margin-right: 8px;
    line-height: 0;
    border-radius: 50%;
  }
  
  .sidebar-nav .nav-content a:hover,
  .sidebar-nav .nav-content a.active {
    color: #4154f1;
  }
  
  .sidebar-nav .nav-content a.active i {
    background-color: #4154f1;
  }
  
  /*--------------------------------------------------------------
  # course containers
  --------------------------------------------------------------*/

  section {
    padding: 0 !important;
}
.main-course-container{
    margin-left: 29rem !important;
}
/* .play-list-left p{
    text-transform: lowercase;
} */
.m-auto{
    margin: 0 auto;
}
.content-container{
    margin: auto;
    justify-content: center
}

.progress-bar-box{
  margin-top: 1.5rem; 
  margin-left: 30rem;
}

 /*--------------------------------------------------------------
  # responsive
  --------------------------------------------------------------*/

@media (min-width: 767px) {
.sidebar{
        width: 30rem;
    }
    .toggle-sidebar-btn{
        display: none;
    }
}


@media (max-width: 767px) {
    .main-course-container{
        margin-left: 0rem !important;
    }
  
}